#
# spec file for package growpart-rootgrow
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:             growpart-rootgrow
Version:          1.0.1
Release:          1.3.1
Url:              https://github.com/SUSE-Enceladus/rootgrow
Summary:          Simple Wrapper for growpart
License:          GPL-3.0+
Group:            System/Management
Source:           growpart-rootgrow.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-build
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    systemd-rpm-macros
Requires:         python3-setuptools
Requires:         util-linux
Requires(preun):  systemd
Requires(postun): systemd
BuildArch:        noarch

%description
A simple wrapper implementation for growpart

%prep
%setup -q -n rootgrow-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

install -D -m 644 systemd/rootgrow.service \
    %{buildroot}%{_unitdir}/rootgrow.service

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%{_bindir}/rootgrow
%{_unitdir}/rootgrow.service

%changelog
* Thu Oct 24 2019 ms@suse.de
- Bump version: 1.0.0 → 1.0.1
* Thu Oct 24 2019 ms@suse.de
- Reference entry for maintenance
  Tracker bug for the submission set to: bsc#1154357
* Mon Aug 26 2019 ms@suse.de
- Fixed binary location in service unit file
  rootgrow is installed via the console_scripts entrypoint
  of pythons setuptools. Unfortunately that entrypoint does
  not have an easy way to target a console script to /usr/sbin
  which would be the correct location. As patching the situation
  in setuptools will cause a huge chain of after effects for
  a simple thing I decided to just go with /usr/bin and provide
  this simple one liner patch in the systemd service file
* Mon Aug 19 2019 ms@suse.de
- Bump version: 0.0.2 → 1.0.0
* Mon Aug 19 2019 ms@suse.de
- Name package growpart-rootgrow for compat reasons
  Avoid any change on the image description level. This requires
  the package to be named like the subpackage from the growpart
  build before
* Wed Aug 14 2019 ms@suse.de
- Bump version: 0.0.1 → 0.0.2
* Wed Aug 14 2019 ms@suse.de
- Update spec file requirement list
* Tue Aug 13 2019 ms@suse.de
- Refactor entire code and device handling
  Split code into more readable parts. Make use of
  util linux findmnt, lsblk and friends and stabilize
  the entire code base. Also cover code with unit tests
* Fri Jul 26 2019 ms@suse.de
- Initial project setup
  Created all infrastructure, testing, virtualenv and package
  data files to develop rootgrow as a python project. Also
  adapted the existing code to be flake8 clean. Some more
  restructuring and especially unit testing needs to be done
  prior to the first package build
